package com.pavelpetkevich.bcwork.data;


import android.os.Parcel;
import android.os.Parcelable;

public class ItemCarRecyclerView implements Parcelable{
    private int id;
    private String nameCar, licensePlate, vin;
    private double consummation;

    public ItemCarRecyclerView() {
    }

    public ItemCarRecyclerView(int id, String nameCar, String licensePlate, String vin, double consummation) {
        this.id = id;
        this.nameCar = nameCar;
        this.licensePlate = licensePlate;
        this.vin = vin;
        this.consummation = consummation;
    }

    protected ItemCarRecyclerView(Parcel in) {
        id = in.readInt();
        nameCar = in.readString();
        licensePlate = in.readString();
        vin = in.readString();
        consummation = in.readDouble();
    }

    public static final Creator<ItemCarRecyclerView> CREATOR = new Creator<ItemCarRecyclerView>() {
        @Override
        public ItemCarRecyclerView createFromParcel(Parcel in) {
            return new ItemCarRecyclerView(in);
        }

        @Override
        public ItemCarRecyclerView[] newArray(int size) {
            return new ItemCarRecyclerView[size];
        }
    };

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNameCar() {
        return nameCar;
    }

    public void setNameCar(String nameCar) {
        this.nameCar = nameCar;
    }

    public double getConsummation() {
        return consummation;
    }

    public void setConsummation(double consummation) {
        this.consummation = consummation;
    }

    public String getLicensePlate() {
        return licensePlate;
    }

    public void setLicensePlate(String licensePlate) {
        this.licensePlate = licensePlate;
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(id);
        dest.writeString(nameCar);
        dest.writeString(licensePlate);
        dest.writeString(vin);
        dest.writeDouble(consummation);
    }
}
