package com.pavelpetkevich.bcwork.data;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class ItemPlaceRecyclerView {

    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("nameOfPlace")
    @Expose
    private String nameOfPlace;
    @SerializedName("shortDescription")
    @Expose
    private String shortDescription;
    @SerializedName("longDescription")
    @Expose
    private String longDescription;
    @SerializedName("location")
    @Expose
    private String location;
    @SerializedName("imageURL")
    @Expose
    private String imageURL;

    public ItemPlaceRecyclerView(String id, String nameOfPlace, String shortDescription, String longDescription, String location, String imageURL) {
        this.id = id;
        this.nameOfPlace = nameOfPlace;
        this.shortDescription = shortDescription;
        this.longDescription = longDescription;
        this.location = location;
        this.imageURL = imageURL;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNameOfPlace() {
        return nameOfPlace;
    }

    public void setNameOfPlace(String nameOfPlace) {
        this.nameOfPlace = nameOfPlace;
    }

    public String getShortDescription() {
        return shortDescription;
    }

    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    public String getLongDescription() {
        return longDescription;
    }

    public void setLongDescription(String longDescription) {
        this.longDescription = longDescription;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getImageURL() {
        return imageURL;
    }

    public void setImageURL(String imageURL) {
        this.imageURL = imageURL;
    }
}
