package com.pavelpetkevich.bcwork.googleMapsApi.data;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * Created by pavelpetkevich on 25/10/2017.
 */

public class CountriesList {

    @SerializedName("countries")
    private List<Country> country;

    public List<Country> getCountry() {
        return country;
    }

    public class Country {
        @SerializedName("country")
        private CountryDates countryDates;

        public CountryDates getCountryDates() {
            return countryDates;
        }
    }

    public class CountryDates {

        @SerializedName("name")
        private String nameCountry;
        @SerializedName("fuel_cost")
        private FuelCost fuelCost;
        @SerializedName("toll_cost")
        private String toll_cost;
        @SerializedName("currency")
        private String currency;
        @SerializedName("type_toll")
        private String type_toll;
        @SerializedName("comment")
        private String comment;

        public String getNameCountry() {
            return nameCountry;
        }

        public FuelCost getFuelCost() {
            return fuelCost;
        }

        public String getToll_cost() {
            return toll_cost;
        }

        public String getCurrency() {
            return currency;
        }

        public String getType_toll() {
            return type_toll;
        }

        public String getComment() {
            return comment;
        }
    }

    public class FuelCost {
        @SerializedName("natural")
        private String natural;
        @SerializedName("diesel")
        private String diesel;

        public String getNatural() {
            return natural;
        }

        public String getDiesel() {
            return diesel;
        }
    }

}
