package com.pavelpetkevich.bcwork.googleMapsApi.data;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * Created by pavelpetkevich on 23/10/2017.
 */

public class Legs{
    private Distance distance;
    private Duration duration;

    @SerializedName("steps")
    private List<Steps> stepses;

    @SerializedName("end_address")
    private String endAddress;
    @SerializedName("start_address")
    private String startAddress;

    @SerializedName("end_location")
    private LatLonCoordinates.LatLonCoordinatesEnd latLonCoordinatesEnd;
    @SerializedName("start_location")
    private LatLonCoordinates.LatLonCoordinatesStart latLonCoordinatesStart;


    public List<Steps> getStepses() {
        return stepses;
    }

    public LatLonCoordinates.LatLonCoordinatesEnd getLatLonCoordinatesEnd() {
        return latLonCoordinatesEnd;
    }

    public LatLonCoordinates.LatLonCoordinatesStart getLatLonCoordinatesStart() {
        return latLonCoordinatesStart;
    }

    public Distance getDistance() {
        return distance;
    }

    public Duration getDuration() {
        return duration;
    }

    public String getEndAddress() {
        return endAddress;
    }

    public String getStartAddress() {
        return startAddress;
    }

}
