package com.pavelpetkevich.bcwork.googleMapsApi.data;

import com.google.android.gms.maps.model.LatLng;
import com.google.gson.annotations.SerializedName;

/**
 * Created by pavelpetkevich on 23/10/2017.
 */

public class Location {

    @SerializedName("end_address")
    public String endAddress;
    @SerializedName("end_location")
    public LatLng endLocation;
    @SerializedName("start_address")
    public String startAddress;
    @SerializedName("start_location")
    public LatLng startLocation;

    public Location(String endAddress, LatLng endLocation, String startAddress, LatLng startLocation) {
        this.endAddress = endAddress;
        this.endLocation = endLocation;
        this.startAddress = startAddress;
        this.startLocation = startLocation;
    }

    public String getEndAddress() {
        return endAddress;
    }

    public void setEndAddress(String endAddress) {
        this.endAddress = endAddress;
    }

    public LatLng getEndLocation() {
        return endLocation;
    }

    public void setEndLocation(LatLng endLocation) {
        this.endLocation = endLocation;
    }

    public String getStartAddress() {
        return startAddress;
    }

    public void setStartAddress(String startAddress) {
        this.startAddress = startAddress;
    }

    public LatLng getStartLocation() {
        return startLocation;
    }

    public void setStartLocation(LatLng startLocation) {
        this.startLocation = startLocation;
    }
}
