package com.pavelpetkevich.bcwork.service;

import com.pavelpetkevich.bcwork.data.PlaceList;
import com.pavelpetkevich.bcwork.googleMapsApi.data.CountriesList;

import retrofit2.Call;
import retrofit2.http.GET;

/**
 * Created by pavelpetkevich on 16/10/2017.
 */

public interface ApiService {
    /*
       Retrofit get annotation with our URL
       And this method that will return us the List of Places
       */
    @GET("/bins/ffrop")
    Call<PlaceList> getMyJSON();

    @GET("/bins/1fog7n")
    Call<CountriesList> getCountriesCosts();

}
