package com.pavelpetkevich.bcwork.service;

import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class RetroClient {


    private static Retrofit getRetrofitInstance(String url) {
        return new Retrofit.Builder()
                .baseUrl(url)
                .addConverterFactory(GsonConverterFactory.create())
                .build();
    }

    /**
     * Get API Service
     * @return API Service
     */
    public static ApiService getApiService(String url) {
        return getRetrofitInstance(url).create(ApiService.class);
    }
}
