package com.pavelpetkevich.bcwork.adapters;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;

import com.pavelpetkevich.bcwork.fragment.HistoryFragment;
import com.pavelpetkevich.bcwork.fragment.HomeFragment;
import com.pavelpetkevich.bcwork.fragment.PlacesFragment;

/**
 * Created by pavelpetkevich on 07/11/2017.
 */

public class ViewPagerAdapter extends FragmentStatePagerAdapter {
    int mNumOfTabs;

    public ViewPagerAdapter(FragmentManager fm, int NumOfTabs) {
        super(fm);
        this.mNumOfTabs = NumOfTabs;
    }

    @Override
    public Fragment getItem(int position) {
        switch (position) {
            case 0:
                HomeFragment homeFragment = new HomeFragment();
                return homeFragment;
            case 1:
                HistoryFragment historyFragment = new HistoryFragment();
                return historyFragment;
            case 2:
                PlacesFragment placesFragment = new PlacesFragment();
                return placesFragment;
            default:
                return null;
        }
    }

    @Override
    public int getCount() {
        return mNumOfTabs;
    }
}
