package com.pavelpetkevich.bcwork.data;

import java.util.Comparator;

/**
 * Created by pavelpetkevich on 25/10/2017.
 */

public class ItemMyTripRecyclerView {
    private int trip_id, fk_my_car;
    private String origin, destination, distance, duration, total_price;
    private boolean favorite;

    public ItemMyTripRecyclerView() {
    }

    public ItemMyTripRecyclerView(int trip_id, String origin, String destination, String distance, String duration, String total_price, int fk_my_car, boolean favorite) {
        this.trip_id = trip_id;
        this.origin = origin;
        this.destination = destination;
        this.distance = distance;
        this.duration = duration;
        this.total_price = total_price;
        this.fk_my_car = fk_my_car;
        this.favorite = favorite;
    }

    public int getTrip_id() {
        return trip_id;
    }

    public void setTrip_id(int trip_id) {
        this.trip_id = trip_id;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getDistance() {
        return distance;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getTotal_price() {
        return total_price;
    }

    public void setTotal_price(String total_price) {
        this.total_price = total_price;
    }

    public int getFk_my_car() {
        return fk_my_car;
    }

    public void setFk_my_car(int fk_my_car) {
        this.fk_my_car = fk_my_car;
    }

    public boolean isFavorite() {
        return favorite;
    }

    public void setFavorite(boolean favorite) {
        this.favorite = favorite;
    }

    /**
     * Comparator for compare if is item important if it's sort in up of the list.
     */
    public static Comparator<ItemMyTripRecyclerView> itemMyTripRecyclerViewComparator
            = new Comparator<ItemMyTripRecyclerView>() {
        @Override
        public int compare(ItemMyTripRecyclerView t1, ItemMyTripRecyclerView t2) {
            int i1 = (t1.isFavorite()) ? 1 : 0;
            int i2 = (t2.isFavorite()) ? 1 : 0;
            return i2 - i1;
        }
    };
}
