package com.pavelpetkevich.bcwork.googleMapsApi.service;

import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class GoogleRetroClient {

    //https://maps.googleapis.com/maps/api/directions/json?origin=Prague&destination=Calpe&key=AIzaSyC-u4RXFMzXtjwgCSIcA0OkNopkUpioYCA
    private static final String ROOT_URL = "https://maps.googleapis.com";

    private static Retrofit getRetrofitInstance() {
        return new Retrofit.Builder()
                .baseUrl(ROOT_URL)
                .addConverterFactory(GsonConverterFactory.create())
                .build();
    }

    /**
     * Get API Service
     * @return API Service
     */
    public static GoogleApiService getApiService() {
        return getRetrofitInstance().create(GoogleApiService.class);
    }
}
